Bug 8096 - Card number twice on patron search results
Summary: Card number twice on patron search results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marc Véron
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-15 19:37 UTC by Nicole C. Engard
Modified: 2016-06-21 21:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
card number twice (30.98 KB, image/png)
2012-05-15 19:37 UTC, Nicole C. Engard
Details
Bug 8096 - card number twice on patron search (4.49 KB, patch)
2014-11-16 22:02 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8096 - card number twice on patron search (4.47 KB, patch)
2014-11-17 20:17 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8096 - card number twice on patron search (4.61 KB, patch)
2014-12-21 08:36 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 8096 - card number twice on patron search (4.68 KB, patch)
2014-12-27 15:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-05-15 19:37:25 UTC
Created attachment 9597 [details]
card number twice

Why is the card number showing twice on the patron search results? We really only need it once - either in it's own column or in parens.  Twice is confusing.
Comment 1 Owen Leonard 2012-05-17 12:20:12 UTC
Display of the patron name and card number in the second column is handled by an include, patron-title.inc, which offers a way to display the patron name in a standard format in various places in the templates. We can't remove the display of the barcode in the second column without affecting other displays too.

The card number in the first column seems useful since it's easier to scan down the column if you're looking for a number. And hopefully someday we'll have AJAX-driven DataTables support on this page and we'll be able to sort by card number.

I'm inclined to say "wontfix" since there are good reasons to have the number in both places. What do others think?
Comment 2 Nicole C. Engard 2012-05-17 12:37:19 UTC
The question I keep getting is - what is that second number in parens. It's hard enough to get people to understand the difference between borrowernumber and the cardnumber - showing two numbers on this results page is confusing people already.  Obviously I'll go with the masses, but I wanted you all to know this comment isn't coming from me (but I do agree with it) it's coming from librarians seeing Koha 3.8.

Nicole
Comment 3 Katrin Fischer 2014-11-10 10:46:06 UTC
Still valid in the new patron search.
Comment 4 Marc Véron 2014-11-16 22:02:30 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2014-11-17 14:28:34 UTC
Hi Marc,
Please convince me why the change below should be correct:
-    ([% cardnumber -%])
+    [% IF ( borrower.cardnumber ) %]
+        ([% borrower.cardnumber %])
+    [% END %]

It was prefixed without borrower and now it is. You do only change templates.
Comment 6 Marc Véron 2014-11-17 20:15:43 UTC
Hi Marcel,

I will not even try to convince you, I simply mistaked.

Patch with corrections follows.

Groetjes Marc
Comment 7 Marc Véron 2014-11-17 20:17:19 UTC Comment hidden (obsolete)
Comment 8 Marc Véron 2014-12-18 14:28:59 UTC
Patch still applies with current master.
Comment 9 Chris Cormack 2014-12-21 08:36:09 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2014-12-27 15:05:48 UTC
Created attachment 34721 [details] [review]
[PASSED QA] Bug 8096 - card number twice on patron search

This patch removes double patron card numbers from patron search results.

To test:

Search patrons
See card number 12345 in first column and in second column like Testman, John (12345)
Apply patch
Patron card number no longer dispays in second colum

Further testing:
Search for other places in intranet where patron-title.inc is used (git grep 'patron-title.inc')
The card number still should display at the other places.

Signed-off-by: Chris <chris@bigballofwax.co.nz>

http://bugs.koha-community.org/show_bug.cgi?id=8096
Signed-off-by: Chris <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Tomás Cohen Arazi 2015-01-18 13:54:29 UTC
Patch pushed to master.

Thanks Marc!
Comment 12 Chris Cormack 2015-01-19 19:06:10 UTC
Pushed to 3.18.x will be in 3.18.3